=begin pod

=TITLE class X::IO::Rename

    class X::IO::Rename does X::IO is Exception { }

Error class for failed file or directory rename operations. A typical
error message is

    Failed to rename 'source' to 'destination': is a directory

=head1 Methods

=head2 from

Returns the source of the failed rename operation

=head2 to

Returns the destination of the failed rename operation

=end pod
